%define beta rc3

Summary:	TCP/IP packet assembler/analyzer
Name:		hping2
Version:	2.0.0
Release:	%mkrel 0.%{beta}.1
License:	GPL
Group:		Monitoring
URL:		http://www.hping.org/
Source0:	http://www.hping.org/hping%{version}-%{beta}.tar.gz
Patch0:		hping2.endianamd64.patch
Patch1:		hping2.0.0-rc3-hz-250.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
hping is a command-line oriented TCP/IP packet assembler/analyzer. The
interface is very similar to the ping(8) unix command, with many extensions.
It supports TCP, UDP, ICMP and RAW-IP protocols. A scripting language is under
developing.

%prep

%setup -q -n %{name}-%{beta}
%patch0 -p0 -b .endianamd64
%patch1 -p1 -b .hz250

%build

./configure

%make CCOPT="%{optflags}" 

%install
rm -rf %{buildroot}

install -d 755 %{buildroot}%{_sbindir}
install -d 755 %{buildroot}%{_mandir}/man8
install -m 755 hping2 %{buildroot}%{_sbindir}
install -m 644 docs/hping2.8 %{buildroot}%{_mandir}/man8
cd %{buildroot}%{_sbindir} && ln -s hping2 hping

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING INSTALL KNOWN-BUGS TODO
%{_sbindir}/*
%{_mandir}/man8/hping2.8.*


%changelog
* Thu Jul 23 2009 Texstar <texstar@gmail.com> 2.0.0-0.rc3.1pclos2009
- import into pclos from mdv

